Skip to main content
`Ctrl`+`K`

# PetscSectionSymLabelSetStratum

set the symmetries for the orientations of a stratum

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode PetscSectionSymLabelSetStratum(PetscSectionSym sym, PetscInt stratum, PetscInt size, PetscInt minOrient, PetscInt maxOrient, PetscCopyMode mode, const PetscInt **perms, const PetscScalar **rots)

Logically

## Input Parameters

- sym - the section symmetries

- stratum - the stratum value in the label that we are assigning symmetries for

- size - the number of dofs for points in the `stratum` of the label

- minOrient - the smallest orientation for a point in this `stratum`

- maxOrient - one greater than the largest orientation for a point in this `stratum` (i.e., orientations are in the range [`minOrient`, `maxOrient`))

- mode - how `sym` should copy the `perms` and `rots` arrays

- perms - `NULL` if there are no permutations, or (`maxOrient` - `minOrient`) permutations, one for each orientation. A `NULL` permutation is the identity

- rots - `NULL` if there are no rotations, or (`maxOrient` - `minOrient`) sets of rotations, one for each orientation. A `NULL` set of orientations is the identity

## See Also

`DMLabel`, `DM`, `PetscSectionSymLabelGetStratum()`, `PetscSectionSymCreate()`, `PetscSectionSetSym()`, `PetscSectionGetPointSyms()`, `PetscSectionSymCreateLabel()`

## Level

developer

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/impls/plex/tutorials/ex6.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages